GET /v1/custom-exchange-rates/{currency}

zuora.com

Summary: List custom exchange rates by currency
Operation ID: GET_CustomExchangeRates
Auth: unknown
Description

This feature is in **Limited Availability**. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). This reference describes how to query custom foreign exchange rates from Zuora. You can use this API method to query exchange rates only if you use a custom exchange rate provider and upload rates with the Import Foreign Exchange Rates mass action.

Parameters (5)

Zuora-Entity-Ids (string, header, optional)

An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header.

Zuora-Track-Id (string, header, optional)

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

Constraints: {'maxLength': 64}

currency (string, path, required)

The target base currency of the tenant. The exchange rates in the response are calculated in relation to the target currency. The value must be a three-letter currency code, for example, USD.

endDate (string, query, required)

End date of the date range for which you want to get exchange rates. The date must be in yyyy-mm-dd format, for example, 2016-01-16. The end date can be a maximum of 90 days after the start date.

startDate (string, query, required)

Start date of the date range for which you want to get exchange rates. The date must be in yyyy-mm-dd format, for example, 2016-01-15. The start date cannot be later than the end date.

No probe data for this endpoint yet.